RUBIKS_DIKCUBE(1)

NAME
rubiks_dikcube - solver for 3x3x3 Rubik's cube using Kociemba's algorithm

SYNOPSIS
rubiks_dikcube -t rubiks_dikcube -p

DESCRIPTION

Solves a 3x3x3 Rubik's cube using Kociemba's algorithm

OPTIONS

-t  a configuration will be entered from standard input

-p  a pattern will be entered from standard input

CONFIGURATION FORMAT
The input should give the successive faces as follows:
            B
          L U R D
            F although different letters can be used. So first the first 9 faces of B, followed by 3 faces of L, U, R and D all three times, followed by the faces of F. The program will give the translation between the symbols actually used and the symbols used in the solution. So you might give the faces in the order
            T
          L F R B
            D but the program will use the translation T -> B -> D -> F -> U! Error messages about wrong position are *after* translation!

PATTERN FORMAT
A pattern can be entered in the following format, where a solved cube is represented by
    BBB
    BBB
    BBB
 LLLUUURRRDDD
 LLLUUURRRDDD
 LLLUUURRRDDD
    FFF
    FFF
    FFF* Whitespace and newlines can be omitted and the * is required to start the program.